/**
 * SortMode
 * 
 * Copyright (c) 2005 Eugene Matyushkin (E-mail: skipy@mail.ru)
 *
 * License agreement:
 *
 * 1. This code is published AS IS. Author is not responsible for any damage that can be
 *    caused by any application that uses this code.
 * 2. Author does not give a garantee, that this code is error free.
 * 3. This code can be used in NON-COMMERCIAL applications AS IS without any special
 *    permission from author.
 * 4. This code can be modified without any special permission from author IF AND ONLY IF
 *    this license agreement will remain unchanged.
 * 5. SPECIAL PERMISSION for this code usage in COMMERCIAL application SHOULD be obtained
 *    from author.
 */
package ru.skipy.ui.components.sft;

/**
 * Table column sort mode. Class instance holds also comparator result multiplier -
 * <code>1</code> for {@link #ASCENDING} and <code>-1</code> for {@link #DESCENDING}
 *
 * @author Eugene Matyushkin
 * @version 1.0
 */
public enum SortMode {

    /**
     * Ascending mode
     */
    ASCENDING(1),

    /**
     * Descending mode
     */
    DESCENDING(-1);

    /**
     * comparator result multiplier
     */
    private final int sign;


    /**
     * Constructs enumeration entry
     *
     * @param sign comparator result multiplier
     */
    private SortMode(int sign) {
        this.sign = sign;
    }


    /**
     * Returns comparator multiplier
     *
     * @return comparator multiplier
     */
    public int getSign() {
        return sign;
    }

}
