/**
 * DataHolder
 * 
 * Copyright (c) 2005 Eugene Matyushkin (E-mail: skipy@mail.ru)
 *
 * License agreement:
 *
 * 1. This code is published AS IS. Author is not responsible for any damage that can be
 *    caused by any application that uses this code.
 * 2. Author does not give a garantee, that this code is error free.
 * 3. This code can be used in NON-COMMERCIAL applications AS IS without any special
 *    permission from author.
 * 4. This code can be modified without any special permission from author IF AND ONLY IF
 *    this license agreement will remain unchanged.
 * 5. SPECIAL PERMISSION for this code usage in COMMERCIAL application SHOULD be obtained
 *    from author.
 */
package ru.skipy.ui.test.sft.data;

import ru.skipy.ui.test.sft.datatypes.Gender;
import ru.skipy.ui.test.sft.datatypes.PhoneNumber;

/**
 * DataHolder
 *
 * This class holds data.
 *
 * @author Eugene Matyushkin
 * @version 1.0
 */
public final class DataHolder {

    private DataHolder() {
    }


    /**
     * Name column index in table model
     */
    public static final int NAME_IDX = 0;

    /**
     * Phone column index in table model
     */
    public static final int PHONE_IDX = 1;

    /**
     * Gender column index in table model
     */
    public static final int GENDER_IDX = 2;

    /**
     * Column names
     */
    public static final String[] COLUMN_NAMES = new String[]{"Owner name", "Phone number", "Gender"};

    /**
     * Table data
     */
    public static final Object[][] DATA = new Object[][]{
        {"Ann Mary Smith", new PhoneNumber(7, 926, 4610519), Gender.female},
        {"John Doe", new PhoneNumber(7, 916, 2468876), Gender.male},
        {"Rod Stewart", new PhoneNumber(7, 903, 1135467), Gender.male},
        {"Mary Comings", new PhoneNumber(7, 910, 1975676), Gender.female},
        {"Cary Elves", new PhoneNumber(7, 95, 1657887), Gender.male}
    };

    /**
     * Column classes
     */
    public static final Class[] COLUMN_CLASSES = new Class[]{String.class, PhoneNumber.class, Gender.class};


}
