/**
 * GenderCellRenderer
 * 
 * Copyright (c) 2005 Eugene Matyushkin (E-mail: skipy@mail.ru)
 *
 * License agreement:
 *
 * 1. This code is published AS IS. Author is not responsible for any damage that can be
 *    caused by any application that uses this code.
 * 2. Author does not give a garantee, that this code is error free.
 * 3. This code can be used in NON-COMMERCIAL applications AS IS without any special
 *    permission from author.
 * 4. This code can be modified without any special permission from author IF AND ONLY IF
 *    this license agreement will remain unchanged.
 * 5. SPECIAL PERMISSION for this code usage in COMMERCIAL application SHOULD be obtained
 *    from author.
 */
package ru.skipy.ui.test.sft.ui;

import java.awt.Component;
import javax.swing.JTable;

import ru.skipy.ui.components.sft.SnFTableModel;
import ru.skipy.ui.test.sft.datatypes.Gender;

/**
 * GenderCellRenderer
 *
 * Cell renderer for 'Gender' column
 *
 * @author Eugene Matyushkin
 * @version 1.0
 */
public class GenderCellRenderer extends SnFTestCellRenderer {

    /**
     * Constructs cell renderer
     *
     * @param model table model
     */
    public GenderCellRenderer(SnFTableModel model) {
        super(model);
    }


    /**
     * Return compoment that should be rendered as a table cell
     *
     * @param table      table
     * @param value      table cell value (actually, gender)
     * @param isSelected if this cell is selected
     * @param hasFocus   if this cell has focus
     * @param row        row number
     * @param column     column number
     *
     * @return component
     */
    public Component getTableCellRendererComponent(
        JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column
        ) {
        setColors(isSelected, row);
        setText(((Gender)value).name());
        return this;
    }

}
